"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactIntl = require("react-intl");
var _default = configContext => {
  const {
    AutocompleteInput,
    CompoundInput,
    TermPickerInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  return {
    document: {
      'ns2:media_common': {
        coverage: {
          [config]: {
            view: {
              type: AutocompleteInput,
              props: {
                source: 'material/local,material/shared,place/local'
              }
            }
          }
        }
      },
      'ns2:media_materials': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/media/local/materials'
          }
        },
        publishToList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          publishTo: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.media_materials.publishTo.name",
                  "defaultMessage": "Publish to"
                }
              }),
              repeating: true,
              view: {
                type: TermPickerInput,
                props: {
                  source: 'publishto'
                }
              }
            }
          }
        }
      }
    }
  };
};
exports.default = _default;